SbVec2ui32(3)

NAME
SbVec2ui32

SYNOPSIS

#include <Inventor/SbVec2ui32.h>

  Public Member Functions
SbVec2ui32 (const uint32_t v[2])
SbVec2ui32 (uint32_t x, uint32_t y)
SbVec2ui32 (const SbVec2i32 &v)
SbVec2ui32 (const SbVec2ub &v)
SbVec2ui32 (const SbVec2us &v)
SbVec2ui32 & setValue (const uint32_t v[2])
SbVec2ui32 & setValue (uint32_t x, uint32_t y)
SbVec2ui32 & setValue (const SbVec2i32 &v)
SbVec2ui32 & setValue (const SbVec2ub &v)
SbVec2ui32 & setValue (const SbVec2us &v)
const uint32_t * getValue (void) const
void getValue (uint32_t &x, uint32_t &y) const
uint32_t & operator[] (int i)
const uint32_t & operator[] (int i) const
int32_t dot (const SbVec2ui32 &v) const
void negate (void)
SbVec2ui32 & operator*= (int d)
SbVec2ui32 & operator*= (double d)
SbVec2ui32 & operator/= (int d)
SbVec2ui32 & operator/= (double d)
SbVec2ui32 & operator+= (const SbVec2ui32 &v)
SbVec2ui32 & operator-= (const SbVec2ui32 &v)
SbVec2ui32 operator- (void) const

  Protected Attributes
uint32_t vec [2]

Detailed Description

Since
    Coin 2.5

Author

Generated automatically by Doxygen for Coin from the source code.